@ECHO OFF
setlocal 
SET PATH="%~dp0postgres\bin";%PATH%
SET PGDATA=%~dp0data\database
SET PGDATABASE=AyaNova
SET PGUSER=postgres
SET PGPORT=5432
SET PGLOCALEDIR=%~dp0postgres\share\locale
set AYANOVA_USE_URLS=http://*:7575;
set AYANOVA_DB_CONNECTION=Server=localhost;Username=postgres;Password=mypasswordforpostgres;Database=AyaNova;
set AYANOVA_DEFAULT_TRANSLATION=en
set AYANOVA_BACKUP_PG_DUMP_PATH=%~dp0postgres\bin\
set AYANOVA_FOLDER_USER_FILES=%~dp0data\userfiles
set AYANOVA_FOLDER_BACKUP_FILES=%~dp0data\backupfiles
set AYANOVA_LOG_PATH=%~dp0data\
"%~dp0\postgres\bin\pg_ctl" -D "%~dp0/data/database" -l %~dp0data\logs\postgreslog start
cd .\ayanova
start "AyaNova Server" ayanova.exe 
start "" http://localhost:7575/api/v8/
start "" http://localhost:7575
ECHO Press any key to stop POSTGRES database server
pause
"%~dp0\postgres\bin\pg_ctl" -D "%~dp0/data/database" stop
endlocal 